summaryrefslogtreecommitdiff
path: root/init.d/rc-enabled.in
diff options
context:
space:
mode:
authorRoy Marples <roy@marples.name>2009-04-27 07:51:18 +0000
committerRoy Marples <roy@marples.name>2009-04-27 07:51:18 +0000
commite70a1429564a8fce5036c351b010a47dbb6c28b7 (patch)
treea1fc0f75a53041771bc9054fdab517ac32b3d79a /init.d/rc-enabled.in
parenteaa32c75c9bba7af0ec842d82f56a6862bbc83db (diff)
downloadopenrc-e70a1429564a8fce5036c351b010a47dbb6c28b7.tar.gz
openrc-e70a1429564a8fce5036c351b010a47dbb6c28b7.tar.bz2
openrc-e70a1429564a8fce5036c351b010a47dbb6c28b7.tar.xz
Style.
Diffstat (limited to 'init.d/rc-enabled.in')
-rw-r--r--init.d/rc-enabled.in14
1 files changed, 7 insertions, 7 deletions
diff --git a/init.d/rc-enabled.in b/init.d/rc-enabled.in
index 82dc596..f01870a 100644
--- a/init.d/rc-enabled.in
+++ b/init.d/rc-enabled.in
@@ -1,5 +1,5 @@
#!@PREFIX@/sbin/runscript
-# Copyright 2007-2008 Roy Marples <roy@marples.name>
+# Copyright 2007-2009 Roy Marples <roy@marples.name>
# All rights reserved. Released under the 2-clause BSD license.
depend()
@@ -20,21 +20,21 @@ start()
# Skip these services
for s in cleartmp moused; do
- [ "${s}" = "${service}" ] && continue 2
+ [ "$s" = "$service" ] && continue 2
done
# If we have an init script for this service, continue
- rc-service --exists "${service}" && continue
+ rc-service --exists "$service" && continue
# Ensure that the users rc.conf will start us - ignore the defaults
eval enabled=\$${svc##*/}_enable
- yesno ${enabled} || yesno ${svc##*/} || continue
+ yesno $enabled || yesno ${svc##*/} || continue
# Good to go!
- "$svc" start && started="${started} ${svc}"
+ "$svc" start && started="$started $svc"
: $((retval += $?))
done
- service_set_value started "${started}"
+ service_set_value started "$started"
eend $retval "Some local rc services failed to start"
return 0
}
@@ -44,7 +44,7 @@ stop()
ebegin "Stopping local rc services"
local svc= retval=0
for svc in $(rcorder $(service_get_value started) 2>/dev/null | sort -r); do
- "${svc}" stop
+ "$svc" stop
: $((retval += $?))
done
eend $retval "Some local rc services failed to stop"